Name:           pelican-plugins
Version:        20160406
Release:        1%{dist}
Url:            http://pelican.notmyidea.org/
Summary:        Plugins for pelican, a tool to generate a static blog, with restructured text (or markdown) input files.
License:        GPLv3
Group:          Development/Languages/Python
#Source:         https://github.com/getpelican/pelican-plugins
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  git
Requires:       pelican
Requires:       python-icalendar
Requires:       python-requests


%description
Plugins for Pelican, a tool to generate a static blog, with restructured text (or markdown) input files.


%prep
%setup -q -T -c %{name}-%{version}
git clone --recursive https://github.com/getpelican/pelican-plugins.git


%build
# nothing to build


%install
%{__mkdir} -p $RPM_BUILD_ROOT/%{python_sitelib}/
%{__cp} -rv * $RPM_BUILD_ROOT/%{python_sitelib}/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{python_sitelib}/%{name}/
%exclude %{python_sitelib}/%{name}/.git/*
%exclude %{python_sitelib}/%{name}/.gitignore
%exclude %{python_sitelib}/%{name}/.gitmodules
%exclude %{python_sitelib}/%{name}/.travis.yml


%changelog
